import java.applet.Applet;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.NoSuchElementException;

public class Class305 implements Iterator {

   int anInt3880 = 0;
   AbstractQueue_Sub1 anAbstractQueue_Sub1_3881;
   int anInt3882;


   public void method5435() {
      throw new UnsupportedOperationException();
   }

   public void method5436() {
      throw new UnsupportedOperationException();
   }

   public boolean method5437() {
      return this.anInt3880 * 1945518567 < this.anAbstractQueue_Sub1_3881.anInt10384 * -1609981437;
   }

   public void remove() {
      throw new UnsupportedOperationException();
   }

   public Object next() {
      if(-208346821 * this.anInt3882 != 1082415063 * this.anAbstractQueue_Sub1_3881.anInt10386) {
         throw new ConcurrentModificationException();
      } else if(1945518567 * this.anInt3880 < this.anAbstractQueue_Sub1_3881.anInt10384 * -1609981437) {
         Object var1 = this.anAbstractQueue_Sub1_3881.aClass299Array10385[this.anInt3880 * 1945518567].anObject3666;
         this.anInt3880 += 915751383;
         return var1;
      } else {
         throw new NoSuchElementException();
      }
   }

   public void method5438() {
      throw new UnsupportedOperationException();
   }

   public boolean method5439() {
      return this.anInt3880 * 1945518567 < this.anAbstractQueue_Sub1_3881.anInt10384 * -1609981437;
   }

   public boolean hasNext() {
      return this.anInt3880 * 1945518567 < this.anAbstractQueue_Sub1_3881.anInt10384 * -1609981437;
   }

   public Object method5440() {
      if(-208346821 * this.anInt3882 != 1082415063 * this.anAbstractQueue_Sub1_3881.anInt10386) {
         throw new ConcurrentModificationException();
      } else if(1945518567 * this.anInt3880 < this.anAbstractQueue_Sub1_3881.anInt10384 * -1609981437) {
         Object var1 = this.anAbstractQueue_Sub1_3881.aClass299Array10385[this.anInt3880 * 1945518567].anObject3666;
         this.anInt3880 += 915751383;
         return var1;
      } else {
         throw new NoSuchElementException();
      }
   }

   public Object method5441() {
      if(-208346821 * this.anInt3882 != 1082415063 * this.anAbstractQueue_Sub1_3881.anInt10386) {
         throw new ConcurrentModificationException();
      } else if(1945518567 * this.anInt3880 < this.anAbstractQueue_Sub1_3881.anInt10384 * -1609981437) {
         Object var1 = this.anAbstractQueue_Sub1_3881.aClass299Array10385[this.anInt3880 * 1945518567].anObject3666;
         this.anInt3880 += 915751383;
         return var1;
      } else {
         throw new NoSuchElementException();
      }
   }

   public void method5442() {
      throw new UnsupportedOperationException();
   }

   public void method5443() {
      throw new UnsupportedOperationException();
   }

   Class305(AbstractQueue_Sub1 var1) {
      this.anInt3882 = this.anAbstractQueue_Sub1_3881.anInt10386 * -2106869227;
      this.anAbstractQueue_Sub1_3881 = var1;
   }

   public Object method5444() {
      if(-208346821 * this.anInt3882 != 1082415063 * this.anAbstractQueue_Sub1_3881.anInt10386) {
         throw new ConcurrentModificationException();
      } else if(1945518567 * this.anInt3880 < this.anAbstractQueue_Sub1_3881.anInt10384 * -1609981437) {
         Object var1 = this.anAbstractQueue_Sub1_3881.aClass299Array10385[this.anInt3880 * 1945518567].anObject3666;
         this.anInt3880 += 915751383;
         return var1;
      } else {
         throw new NoSuchElementException();
      }
   }

   public boolean method5445() {
      return this.anInt3880 * 1945518567 < this.anAbstractQueue_Sub1_3881.anInt10384 * -1609981437;
   }

   public void method5446() {
      throw new UnsupportedOperationException();
   }

   public static void method5447(String var0, boolean var1, boolean var2, int var3) {
      Class395.method6754(var0, var1, "openjs", var2, (short)-12603);
   }

   static boolean method5448(byte var0) {
      return Class461_Sub2.method12777(Class118.aClass520_1194.aClass551_7139, (byte)-75);
   }

   static final void method5449(Class508 var0, int var1) throws Exception_Sub4 {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class336.aClass35_Sub1_4206.method1013(Class269.method4771(var2, -1597526611), true, 310197483);
   }

   public static void method5450(int var0, boolean var1, int var2, boolean var3, byte var4) {
      Class442.method7420(0, Class419.aClass536_Sub1Array5326.length - 1, var0, var1, var2, var3, 1057925547);
      Class419.anInt5328 = 0;
      Class419.aClass519_5329 = null;
   }

   public static final int method5451(int var0) {
      return (int)(1000000000L / (-6555189860274633573L * GameEngine.aLong3291));
   }

   public static void method5452(Applet var0, String var1, int var2) {
      Class281.anApplet3286 = var0;
      Class281.aString3284 = var1;
   }
}
